﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace gridviewxml
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
                bilgilerigetir();
        }
         //www.aspnetornekleri.com
        private void bilgilerigetir()
        {
            DataSet ds = new DataSet();
            ds.ReadXml(Server.MapPath("ogrencibilgileri.xml"));
            GridView1.DataSource = ds;
            GridView1.DataBind();
        }
        protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
        {
            GridView1.EditIndex = e.NewEditIndex;
            bilgilerigetir();
        }
        protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
        {
            GridView1.EditIndex = -1;
            bilgilerigetir();
        }
        //www.aspnetornekleri.com
        protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
        {
            int i = GridView1.Rows[e.RowIndex].DataItemIndex;
            string adsoyad = ((TextBox)GridView1.Rows[e.RowIndex].FindControl("TextBox1")).Text;
            string ogrno = ((TextBox)GridView1.Rows[e.RowIndex].FindControl("TextBox2")).Text;
            string bolum = ((TextBox)GridView1.Rows[e.RowIndex].FindControl("TextBox3")).Text;
            string sinif = ((TextBox)GridView1.Rows[e.RowIndex].FindControl("TextBox4")).Text;
            GridView1.EditIndex = -1;
            bilgilerigetir();
            DataSet ds = (DataSet)GridView1.DataSource;
            ds.Tables[0].Rows[i]["adsoyad"] = adsoyad;
            ds.Tables[0].Rows[i]["ogrno"] = ogrno;
            ds.Tables[0].Rows[i]["bolum"] = bolum;
            ds.Tables[0].Rows[i]["sinif"] = sinif;
            ds.WriteXml(Server.MapPath("ogrencibilgileri.xml"));
            bilgilerigetir();
        }
        protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
        {
            bilgilerigetir();
            DataSet ds = (DataSet)GridView1.DataSource;
            ds.Tables[0].Rows[GridView1.Rows[e.RowIndex].DataItemIndex].Delete();
            ds.WriteXml(Server.MapPath("ogrencibilgileri.xml"));
            bilgilerigetir();
        }
        //www.aspnetornekleri.com
        protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            if (e.CommandName == "insert")
            {
                string adsoyad = ((TextBox)GridView1.FooterRow.FindControl("txtadsoyad")).Text;
                string ogrno = ((TextBox)GridView1.FooterRow.FindControl("txtogrno")).Text;
                string bolum = ((TextBox)GridView1.FooterRow.FindControl("txtbolum")).Text;
                string sinif = ((TextBox)GridView1.FooterRow.FindControl("txtsinif")).Text;
                bilgilerigetir();
                DataSet ds = GridView1.DataSource as DataSet;
                DataRow dr = ds.Tables[0].NewRow();
                dr[0] = adsoyad;
                dr[1] = ogrno;
                dr[2] = bolum;
                dr[3] = sinif;
                ds.Tables[0].Rows.Add(dr);
                ds.AcceptChanges();
                ds.WriteXml(Server.MapPath("ogrencibilgileri.xml"));
                bilgilerigetir();
            }
        }
    }
}